

  <div class="ibox-form-container mb-0">

    <div class="ibox-title">
      <div class="ibox-title-child" style="display: inline-block">
        {{(contactData?.editEnabled?'CONTACT_FORM.VIEW_TITLE':'CONTACT_FORM.CREATE_TITLE')|translate}}
      </div>
    </div>

    

          <form class="ibox-filter p-4 mt-2" *ngIf="contactData?.contactType?.toString() === 'PP'"
                [formGroup]="contactPPForm" (ngSubmit)="onSubmitContactPP()" autocomplete="off">

            <div class="row ">

              <div class="col-md">
                <input type="text" class="form-control form-control-sm" [placeholder]="'FIELD.CONTACT_PP.NOM'|translate" formControlName="nom" maxlength="24" pattern="[A-Za-zÀ-ÿ ]+">

                <div *ngIf="contactPPForm?.get('nom')?.invalid && showValidationsMsg">
                  <div *ngIf="contactPPForm?.get('nom').errors.required" class="text-danger">
                    <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                  </div>
                  <div *ngIf="contactPPForm?.get('nom').errors.pattern" class="text-danger">
                    <small>{{'FIELD.ERRORS.PATTERN_ALPHA'|translate}}</small>
                  </div>
                </div>
              </div>

              <div class="col-md">
                <input type="text" class="form-control form-control-sm" [placeholder]="'FIELD.CONTACT_PP.PRENOM'|translate" 
                formControlName="prenom" maxlength="24" pattern="[A-Za-zÀ-ÿ ]+">

                <div *ngIf="contactPPForm?.get('prenom')?.invalid && showValidationsMsg">
                  <div *ngIf="contactPPForm?.get('prenom').errors.required" class="text-danger">
                    <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                  </div>
                  <div *ngIf="contactPPForm?.get('prenom').errors.pattern" class="text-danger">
                    <small>{{'FIELD.ERRORS.PATTERN_ALPHA'|translate}}</small>
                  </div>
                </div>
              </div>
      
              <div class="col-md">
                <select class="form-control form-control-sm"  formControlName="civilite" required >{{'FIELD.CONTACT_PP.CIVILITE'|translate}}

                  <option [ngValue]="'M'">M</option>
                  <option [ngValue]="'MME'">MME.</option>
                  <option [ngValue]="'MLLE'">MLLE.</option>
                  <option [ngValue]="'PM'">P.M</option>
                </select>

                <div *ngIf="contactPPForm?.get('civilite')?.invalid && showValidationsMsg"
                     class="text-danger">
                  <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                </div>
              </div>

            </div>

            <div class="row my-2">

              <div class="col-md">
                
                <input type="text" class="form-control form-control-sm" [placeholder]="'FIELD.CONTACT_PP.DATE_NAIS'|translate" 
                formControlName="dateNaissance"
                       [owlDateTime]="dt">
                <span class="trigger date-trigger-icon" [owlDateTimeTrigger]="dt"
                      [title]="'FIELD.PLEASE.CHOOSE'|translate">
                              <i class="ri-calendar-line"></i>
                          </span>
                <owl-date-time #dt [pickerType]="'calendar'"></owl-date-time>

                <div *ngIf="contactPPForm?.get('dateNaissance')?.invalid && showValidationsMsg"
                     class="text-danger">
                  <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                </div>
              </div>

              <div class="col-md">
                <input type="text" class="form-control form-control-sm" [placeholder]="'FIELD.CONTACT_PP.NOM_PERE'|translate" 
                formControlName="nomPrenomPere"
                       maxlength="24" pattern="[A-Za-zÀ-ÿ ]+">

                <div *ngIf="contactPPForm?.get('nomPrenomPere')?.invalid && showValidationsMsg">
                  <div *ngIf="contactPPForm?.get('nomPrenomPere').errors.pattern" class="text-danger">
                    <small>{{'FIELD.ERRORS.PATTERN_ALPHA'|translate}}</small>
                  </div>
                </div>
              </div>

              <div class="col-md">
                <input type="text" class="form-control form-control-sm" [placeholder]="'FIELD.CONTACT_PP.NOM_MERE'|translate" 
                formControlName="nomPrenomMere"
                       maxlength="24" pattern="[A-Za-zÀ-ÿ ]+">

                <div *ngIf="contactPPForm?.get('nomPrenomMere')?.invalid && showValidationsMsg">
                  <div *ngIf="contactPPForm?.get('nomPrenomMere').errors.pattern" class="text-danger">
                    <small>{{'FIELD.ERRORS.PATTERN_ALPHA'|translate}}</small>
                  </div>
                </div>
              </div>

            </div>

            <div class="row my-2">

              <div class="col-md">
                <input type="number" class="form-control form-control-sm" [placeholder]="'FIELD.CONTACT_PP.MOBILE'|translate" 
                formControlName="mobile1" maxlength="14" pattern="[0-9\+ ]+">

                <div *ngIf="contactPPForm?.get('mobile1')?.invalid && showValidationsMsg">
                  <div *ngIf="contactPPForm?.get('mobile1').errors.required" class="text-danger">
                    <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                  </div>
                  <div *ngIf="contactPPForm?.get('mobile1').errors.pattern" class="text-danger">
                    <small>{{'FIELD.ERRORS.PATTERN_MOBILE'|translate}}</small>
                  </div>
                </div>
              </div>

              <div class="col-md">
                <input type="number" class="form-control form-control-sm" [placeholder]="'FIELD.CONTACT_PP.MOBILE2'|translate" 
                formControlName="mobile2" maxlength="14" pattern="[0-9\+ ]+">

                <div *ngIf="contactPPForm?.get('mobile2')?.invalid && showValidationsMsg">
                  <div *ngIf="contactPPForm?.get('mobile2').errors.pattern" class="text-danger">
                    <small>{{'FIELD.ERRORS.PATTERN_MOBILE'|translate}}</small>
                  </div>
                </div>
              </div>

              <div class="col-md">
                <input type="email" class="form-control form-control-sm" [placeholder]="'FIELD.CONTACT_PP.EMAIL'|translate" 
                formControlName="email" pattern="[A-Za-z0-9._%+-]+@[A-Za-z0-9.-]+\.[A-Za-z]{2,4}$">

                <div *ngIf="contactPPForm?.get('email')?.invalid && showValidationsMsg">
                  <div *ngIf="contactPPForm?.get('email').errors.pattern" class="text-danger">
                    <small>{{'FIELD.ERRORS.PATTERN_EMAIL'|translate}}</small>
                  </div>
                </div>
              </div>

            </div>

            <div class="row my-2">

              <div class="col-md">
                <input type="text" class="form-control form-control-sm" [placeholder]="'FIELD.CONTACT_PP.ADRESSE'|translate" 
                formControlName="adresse1" maxlength="256">
                <div *ngIf="contactPPForm?.get('adresse1')?.invalid && showValidationsMsg">
                  <div *ngIf="contactPPForm?.get('adresse1').errors.required" class="text-danger">
                    <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                  </div>
                </div>
              </div>

              <div class="col-md">
                <input type="text" class="form-control form-control-sm" [placeholder]="'FIELD.CONTACT_PP.ADRESSE2'|translate" 
                formControlName="adresse2" maxlength="256">
              </div>

            </div>

            <div class="row my-2">

              <div class="col-md">
                <input type="text" class="form-control form-control-sm" [placeholder]="'FIELD.CONTACT_PP.NATIONALITE'|translate" 
                formControlName="nationalite" maxlength="24" pattern="[A-Za-zÀ-ÿ ]+">

                <div *ngIf="contactPPForm?.get('nationalite')?.invalid && showValidationsMsg">
                  <div *ngIf="contactPPForm?.get('nationalite').errors.required" class="text-danger">
                    <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                  </div>
                  <div *ngIf="contactPPForm?.get('nationalite').errors.pattern" class="text-danger">
                    <small>{{'FIELD.ERRORS.PATTERN_ALPHA'|translate}}</small>
                  </div>
                </div>
              </div>

              <div class="col-md">
                <input type="text" class="form-control form-control-sm" [placeholder]="'FIELD.CONTACT_PP.RESIDENCE_TYPE'|translate" 
                formControlName="typeResidence"
                       maxlength="24" pattern="[A-Za-zÀ-ÿ ]+">

                <div *ngIf="contactPPForm?.get('typeResidence')?.invalid && showValidationsMsg">
                  <div *ngIf="contactPPForm?.get('typeResidence').errors.required" class="text-danger">
                    <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                  </div>
                  <div *ngIf="contactPPForm?.get('typeResidence').errors.pattern" class="text-danger">
                    <small>{{'FIELD.ERRORS.PATTERN_ALPHA'|translate}}</small>
                  </div>
                </div>
              </div>

              <div class="col-md">
                <select class="form-control form-control-sm" [placeholder]="'FIELD.CONTACT_PP.PAYS_RESIDENCE'|translate"  
                formControlName="paysResidence">
                  <option [ngValue]="null" selected [hidden]="contactPPForm?.get('paysResidence')?.value === null">
                    {{(contactPPForm?.get('paysResidence')?.value===null?'FIELD.PLEASE.SELECT':'')|translate}}
                  </option>
                  <option *ngFor="let country of countryList"
                          [ngValue]="country.code">{{country.value}}</option>
                </select>

                <div *ngIf="contactPPForm?.get('paysResidence')?.invalid && showValidationsMsg"
                     class="text-danger">
                  <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                </div>
              </div>

            </div>

            <div class="row my-2">

              <div class="col-md">
                <input type="text" class="form-control form-control-sm" [placeholder]="'FIELD.CONTACT_PP.VILLE'|translate" 
                formControlName="ville" maxlength="24" pattern="[A-Za-zÀ-ÿ ]+">

                <div *ngIf="contactPPForm?.get('ville')?.invalid && showValidationsMsg">
                  <div *ngIf="contactPPForm?.get('ville').errors.required" class="text-danger">
                    <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                  </div>
                  <div *ngIf="contactPPForm?.get('ville').errors.pattern" class="text-danger">
                    <small>{{'FIELD.ERRORS.PATTERN_ALPHA'|translate}}</small>
                  </div>
                </div>
              </div>

              <div class="col-md">
                <input type="number" class="form-control form-control-sm" [placeholder]="'FIELD.CONTACT_PP.CODE_POSTAL'|translate"
                 formControlName="codePostale" maxlength="6">

                <div *ngIf="contactPPForm?.get('codePostale')?.invalid && showValidationsMsg"
                     class="text-danger">
                  <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                </div>
              </div>

              <div class="col-md">
                <input type="text" class="form-control form-control-sm" [placeholder]="'FIELD.CONTACT_PP.PROFIL_RISQUE'|translate" 
                formControlName="profilRisque" maxlength="24">

                <div *ngIf="contactPPForm?.get('profilRisque')?.invalid && showValidationsMsg"
                     class="text-danger">
                  <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                </div>
              </div>

            </div>

            <div class="row my-2">

              <div class="col-md">
                <input type="text" class="form-control form-control-sm" [placeholder]="'FIELD.CONTACT_PP.STATUT_PPE'|translate"
                formControlName="statutPPE" maxlength="24">

                <div *ngIf="contactPPForm?.get('statutPPE')?.invalid && showValidationsMsg"
                     class="text-danger">
                  <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                </div>
              </div>

              <div class="col-md">
                <input type="text" class="form-control form-control-sm" [placeholder]="'FIELD.CONTACT_PP.RCRN'|translate" 
                formControlName="rcRn" maxlength="24" pattern="[A-Za-z0-9 ]+">

                <div *ngIf="contactPPForm?.get('rcRn')?.invalid && showValidationsMsg">
                  <div *ngIf="contactPPForm?.get('rcRn').errors.required" class="text-danger">
                    <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                  </div>
                  <div *ngIf="contactPPForm?.get('rcRn').errors.pattern" class="text-danger">
                    <small>{{'FIELD.ERRORS.PATTERN_ALPHANUM'|translate}}</small>
                  </div>
                </div>
              </div>

              <div class="col-md">
                <input type="text" class="form-control form-control-sm" [placeholder]="'FIELD.CONTACT_PP.NUM_TAX_PRO'|translate" 
                formControlName="numTaxePro" maxlength="24" pattern="[A-Za-z0-9 ]+">

                <div *ngIf="contactPPForm?.get('numTaxePro')?.invalid && showValidationsMsg">
                  <div *ngIf="contactPPForm?.get('numTaxePro').errors.required" class="text-danger">
                    <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                  </div>
                  <div *ngIf="contactPPForm?.get('numTaxePro').errors.pattern" class="text-danger">
                    <small>{{'FIELD.ERRORS.PATTERN_ALPHANUM'|translate}}</small>
                  </div>
                </div>
              </div>

            </div>

            <div class="row my-2">

              <div class="col-md">
                <input type="text" class="form-control form-control-sm" [placeholder]="'FIELD.CONTACT_PP.TRIB_IMMAT'|translate" 
                formControlName="tribImmatricule"
                       maxlength="24" pattern="[A-Za-zÀ-ÿ ]+">

                <div *ngIf="contactPPForm?.get('tribImmatricule')?.invalid && showValidationsMsg">
                  <div *ngIf="contactPPForm?.get('tribImmatricule').errors.required" class="text-danger">
                    <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                  </div>
                  <div *ngIf="contactPPForm?.get('tribImmatricule').errors.pattern" class="text-danger">
                    <small>{{'FIELD.ERRORS.PATTERN_ALPHA'|translate}}</small>
                  </div>
                </div>
              </div>

              <div class="col-md">
                <input type="text" class="form-control form-control-sm" [placeholder]="'FIELD.CONTACT_PP.PIECE_IDENTITE'|translate"
                formControlName="pieceIdentite"
                       maxlength="24">

                <div *ngIf="contactPPForm?.get('pieceIdentite')?.invalid && showValidationsMsg"
                     class="text-danger">
                  <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                </div>
              </div>

              <div class="col-md">
                <input type="text" class="form-control form-control-sm" [placeholder]="'FIELD.CONTACT_PP.NUM_PI'|translate" 
                formControlName="numPI" maxlength="24" pattern="[A-Za-z0-9 ]+">

                <div *ngIf="contactPPForm?.get('numPI')?.invalid && showValidationsMsg">
                  <div *ngIf="contactPPForm?.get('numPI').errors.required" class="text-danger">
                    <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                  </div>
                  <div *ngIf="contactPPForm?.get('numPI').errors.pattern" class="text-danger">
                    <small>{{'FIELD.ERRORS.PATTERN_ALPHANUM'|translate}}</small>
                  </div>
                </div>
              </div>

            </div>

            <div class="row my-2">

              <div class="col-md">
                <input type="text" class="form-control form-control-sm" [placeholder]="'FIELD.CONTACT_PP.EMETTEUR_PI'|translate" 
                formControlName="emetteurPI" maxlength="24" pattern="[A-Za-zÀ-ÿ ]+">

                <div *ngIf="contactPPForm?.get('emetteurPI')?.invalid && showValidationsMsg">
                  <div *ngIf="contactPPForm?.get('emetteurPI').errors.required" class="text-danger">
                    <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                  </div>
                  <div *ngIf="contactPPForm?.get('emetteurPI').errors.pattern" class="text-danger">
                    <small>{{'FIELD.ERRORS.PATTERN_ALPHA'|translate}}</small>
                  </div>
                </div>
              </div>

              <div class="col-md">
                <input type="text" class="form-control form-control-sm" [placeholder]="'FIELD.CONTACT_PP.DATE_EMI_PI'|translate" 
                formControlName="dateEmiPI"
                       [owlDateTime]="depi" [max]="contactPPForm?.get('dateFinQualite')?.value">
                <span class="trigger date-trigger-icon" [owlDateTimeTrigger]="depi" [title]="'FIELD.PLEASE.CHOOSE'|translate">
                              <i class="ri-calendar-line"></i></span>
                <owl-date-time #depi [pickerType]="'calendar'"></owl-date-time>
              </div>

              <div class="col-md">
                
                <input type="text" class="form-control form-control-sm" [placeholder]="'FIELD.CONTACT_PP.DATE_EXP_PI'|translate" 
                formControlName="dateExiPI"
                       [owlDateTime]="dxpi" [max]="contactPPForm?.get('dateFinQualite')?.value">
                <span class="trigger date-trigger-icon" [owlDateTimeTrigger]="dxpi" [title]="'FIELD.PLEASE.CHOOSE'|translate">
                              <i class="ri-calendar-line"></i></span>
                <owl-date-time #dxpi [pickerType]="'calendar'"></owl-date-time>
              </div>

            </div>

            <div class="text-right mt-3">
              <button type="button" class="btn btn-danger btn-sm mr-2" [title]="'FIELD.BUTTONS.CANCEL'|translate" (click)="closePopup()"
                      [disabled]="loading">{{'FIELD.BUTTONS.CANCEL'|translate}}
              </button>
              <button type="submit" class="btn btn-primary btn-sm mr-2" [title]="'FIELD.BUTTONS.EDIT'|translate"
                      [disabled]="loading">{{'FIELD.BUTTONS.EDIT'|translate}}
              </button>
            </div>

          </form>

          <form class="col-12" *ngIf="contactData?.contactType?.toString() === 'PM'"
                [formGroup]="contactPMForm" (ngSubmit)="onSubmitContactPM()" autocomplete="off">

            <div class="row mb-2">

              <div class="col-md">
                
                <input type="text" class="form-control form-control-sm" [placeholder]="'FIELD.CONTACT_PM.RAISON_SOCIAL'|translate" 
                formControlName="raisonSociale" maxlength="100" pattern="[A-Za-z0-9 ]+">

                <div *ngIf="contactPMForm.get('socialReason')?.invalid && showValidationsMsg">
                  <div *ngIf="contactPMForm.get('socialReason').errors.required" class="text-danger">
                    <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                  </div>
                  <div *ngIf="contactPMForm.get('socialReason').errors.pattern" class="text-danger">
                    <small>{{'FIELD.ERRORS.PATTERN_ALPHANUM'|translate}}</small>
                  </div>
                </div>
              </div>

              <div class="col-md">
                
                <input type="text" class="form-control form-control-sm" [placeholder]="'FIELD.CONTACT_PM.FORME_JURI'|translate" 
                formControlName="formeJuridique"
                       maxlength="24" pattern="[A-Za-z0-9 ]+">

                <div *ngIf="contactPMForm.get('formeJuridique')?.invalid && showValidationsMsg">
                  <div *ngIf="contactPMForm.get('formeJuridique').errors.required" class="text-danger">
                    <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                  </div>
                  <div *ngIf="contactPMForm.get('formeJuridique').errors.pattern" class="text-danger">
                    <small>{{'FIELD.ERRORS.PATTERN_ALPHANUM'|translate}}</small>
                  </div>
                </div>
              </div>

              <div class="col-md">
                
                <input type="text" class="form-control form-control-sm" [placeholder]="'FIELD.CONTACT_PM.AGREMENT_DELIV'|translate" 
                formControlName="agrementDelivrance"
                       maxlength="24" pattern="[A-Za-z0-9 ]+">

                <div *ngIf="contactPMForm.get('agrementDelivrance')?.invalid && showValidationsMsg">
                  <div *ngIf="contactPMForm.get('agrementDelivrance').errors.required" class="text-danger">
                    <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                  </div>
                  <div *ngIf="contactPMForm.get('agrementDelivrance').errors.pattern" class="text-danger">
                    <small>{{'FIELD.ERRORS.PATTERN_ALPHANUM'|translate}}</small>
                  </div>
                </div>
              </div>

            </div>

            <div class="row my-2">

              <div class="col-md">
                
                <input type="text" class="form-control form-control-sm" [placeholder]="'FIELD.CONTACT_PM.TRIB_IMMAT'|translate" 
                formControlName="tribImmatricule"
                       maxlength="24" pattern="[A-Za-z0-9 ]+">

                <div *ngIf="contactPMForm.get('tribImmatricule')?.invalid && showValidationsMsg">
                  <div *ngIf="contactPMForm.get('tribImmatricule').errors.required" class="text-danger">
                    <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                  </div>
                  <div *ngIf="contactPMForm.get('tribImmatricule').errors.pattern" class="text-danger">
                    <small>{{'FIELD.ERRORS.PATTERN_ALPHANUM'|translate}}</small>
                  </div>
                </div>
              </div>

              <div class="col-md">
                
                <input type="text" class="form-control form-control-sm" [placeholder]="'FIELD.CONTACT_PM.STATUT_PPE'|translate" 
                formControlName="statutPPE" maxlength="24">

                <div *ngIf="contactPMForm?.get('statutPPE')?.invalid && showValidationsMsg"
                     class="text-danger">
                  <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                </div>
              </div>

              <div class="col-md">
                
                <input type="text" class="form-control form-control-sm" [placeholder]="'FIELD.CONTACT_PM.STATUT_FATCA'|translate" 
                formControlName="statutFatca" maxlength="24">

                <div *ngIf="contactPMForm?.get('statutFatca')?.invalid && showValidationsMsg"
                     class="text-danger">
                  <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                </div>
              </div>

            </div>

            <div class="row my-2">

              <div class="col-md">
                
                <input type="number" class="form-control form-control-sm" [placeholder]="'FIELD.CONTACT_PM.MOBILE'|translate" 
                formControlName="mobile1" maxlength="14" pattern="[0-9\+ ]+">

                <div *ngIf="contactPMForm.get('mobile1')?.invalid && showValidationsMsg">
                  <div *ngIf="contactPMForm.get('mobile1').errors.required" class="text-danger">
                    <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                  </div>
                  <div *ngIf="contactPMForm.get('mobile1').errors.pattern" class="text-danger">
                    <small>{{'FIELD.ERRORS.PATTERN_MOBILE'|translate}}</small>
                  </div>
                </div>
              </div>

              <div class="col-md">
                
                <input type="number" class="form-control form-control-sm" [placeholder]="'FIELD.CONTACT_PM.MOBILE2'|translate" 
                formControlName="mobile2" maxlength="14" pattern="[0-9\+ ]+">

                <div *ngIf="contactPMForm.get('mobile2')?.invalid && showValidationsMsg">
                  <div *ngIf="contactPMForm.get('mobile2').errors.pattern" class="text-danger">
                    <small>{{'FIELD.ERRORS.PATTERN_MOBILE'|translate}}</small>
                  </div>
                </div>
              </div>

              <div class="col-md">
                
                <input type="number" class="form-control form-control-sm" [placeholder]="'FIELD.CONTACT_PM.FAX'|translate" 
                formControlName="fax" maxlength="14" pattern="[0-9\+ ]+">

                <div *ngIf="contactPMForm.get('fax')?.invalid && showValidationsMsg">
                  <div *ngIf="contactPMForm.get('fax').errors.required" class="text-danger">
                    <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                  </div>
                  <div *ngIf="contactPMForm.get('fax').errors.pattern" class="text-danger">
                    <small>{{'FIELD.ERRORS.PATTERN_MOBILE'|translate}}</small>
                  </div>
                </div>
              </div>

            </div>

            <div class="row my-2">

              <div class="col-md">
                <input type="email" class="form-control form-control-sm" [placeholder]="'FIELD.CONTACT_PM.EMAIL'|translate" 
                formControlName="email"
                       pattern="[A-Za-z0-9._%+-]+@[A-Za-z0-9.-]+\.[A-Za-z]{2,4}$">

                <div *ngIf="contactPMForm.get('email')?.invalid && showValidationsMsg">
                  <div *ngIf="contactPMForm.get('email').errors.required" class="text-danger">
                    <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                  </div>
                  <div *ngIf="contactPMForm.get('email').errors.pattern" class="text-danger">
                    <small>{{'FIELD.ERRORS.PATTERN_EMAIL'|translate}}</small>
                  </div>
                </div>
              </div>

              <div class="col-md">
                <input type="text" class="form-control form-control-sm" [placeholder]="'FIELD.CONTACT_PM.VILLE'|translate" 
                formControlName="ville" maxlength="24" pattern="[A-Za-zÀ-ÿ ]+">

                <div *ngIf="contactPPForm?.get('ville')?.invalid && showValidationsMsg">
                  <div *ngIf="contactPPForm?.get('ville').errors.required" class="text-danger">
                    <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                  </div>
                  <div *ngIf="contactPPForm?.get('ville').errors.pattern" class="text-danger">
                    <small>{{'FIELD.ERRORS.PATTERN_ALPHA'|translate}}</small>
                  </div>
                </div>
              </div>

              <div class="col-md">
                <input type="number" class="form-control form-control-sm" [placeholder]="'FIELD.CONTACT_PM.CODE_POSTAL'|translate" 
                formControlName="codePostale" maxlength="6">

                <div *ngIf="contactPMForm?.get('codePostale')?.invalid && showValidationsMsg"
                     class="text-danger">
                  <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                </div>
              </div>

            </div>

            <div class="row my-2">

              <div class="col-md">
                <input type="text" class="form-control form-control-sm" [placeholder]="'FIELD.CONTACT_PM.ADRESSE'|translate" 
                formControlName="adresse1" maxlength="256">

                <div *ngIf="contactPMForm?.get('adresse1')?.invalid && showValidationsMsg"
                     class="text-danger">
                  <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                </div>
              </div>

              <div class="col-md">
                <input type="text" class="form-control form-control-sm" [placeholder]="'FIELD.CONTACT_PM.ID_FISCAL'|translate" 
                formControlName="idFiscal" maxlength="24">

                <div *ngIf="contactPMForm?.get('idFiscal')?.invalid && showValidationsMsg"
                     class="text-danger">
                  <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                </div>
              </div>

              <div class="col-md">
                
                <input type="text" class="form-control form-control-sm" [placeholder]="'FIELD.CONTACT_PM.RC'|translate" 
                formControlName="rc" maxlength="24" pattern="[A-Za-z0-9 ]+">

                <div *ngIf="contactPMForm.get('rc')?.invalid && showValidationsMsg">
                  <div *ngIf="contactPMForm.get('rc').errors.required" class="text-danger">
                    <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                  </div>
                  <div *ngIf="contactPMForm.get('rc').errors.pattern" class="text-danger">
                    <small>{{'FIELD.ERRORS.PATTERN_ALPHANUM'|translate}}</small>
                  </div>
                </div>
              </div>

            </div>

            <div class="row my-2">

              <div class="col-md">
                
                <input type="text" class="form-control form-control-sm" [placeholder]="'FIELD.CONTACT_PM.ICE'|translate" 
                formControlName="ice" maxlength="24" pattern="[A-Za-z0-9 ]+">

                <div *ngIf="contactPMForm.get('ice')?.invalid && showValidationsMsg">
                  <div *ngIf="contactPMForm.get('ice').errors.required" class="text-danger">
                    <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                  </div>
                  <div *ngIf="contactPMForm.get('ice').errors.pattern" class="text-danger">
                    <small>{{'FIELD.ERRORS.PATTERN_ALPHANUM'|translate}}</small>
                  </div>
                </div>
              </div>

              <div class="col-md">
                
                <input type="text" class="form-control form-control-sm" [placeholder]="'FIELD.CONTACT_PM.NUM_TAX_PRO'|translate" 
                formControlName="numTaxePro" maxlength="24" pattern="[A-Za-z0-9 ]+">

                <div *ngIf="contactPMForm.get('numTaxePro')?.invalid && showValidationsMsg">
                  <div *ngIf="contactPMForm.get('numTaxePro').errors.required" class="text-danger">
                    <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                  </div>
                  <div *ngIf="contactPMForm.get('numTaxePro').errors.pattern" class="text-danger">
                    <small>{{'FIELD.ERRORS.PATTERN_ALPHANUM'|translate}}</small>
                  </div>
                </div>
              </div>

              <div class="col-md">
                <input type="text" class="form-control form-control-sm" [placeholder]="'FIELD.CONTACT_PM.PROFIL_RISQUE'|translate" 
                formControlName="profilRisque" maxlength="24">

                <div *ngIf="contactPMForm?.get('profilRisque')?.invalid && showValidationsMsg"
                     class="text-danger">
                  <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                </div>
              </div>

            </div>

            <div class="text-right mt-3">
              <button type="button" class="btn btn-danger btn-sm mr-2" [title]="'FIELD.BUTTONS.CANCEL'|translate" (click)="closePopup()" [disabled]="loading">{{'FIELD.BUTTONS.CANCEL'|translate}}</button>
              <button type="submit" class="btn btn-primary btn-sm mr-2" [title]="'FIELD.BUTTONS.EDIT'|translate" [disabled]="loading">{{'FIELD.BUTTONS.EDIT'|translate}}</button>
            </div>

          </form>

        </div>
      

